package com.inspect.job.domain.task;

import com.inspect.base.core.annotation.Excel;
import com.inspect.base.core.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

public class DBPatrolPoint extends BaseEntity {
   private static final long serialVersionUID = 1L;
   private Long patrolpointId;
   @Excel(
      name = "点位编码"
   )
   private String patrolpointCode;
   @Excel(
      name = "点位名称"
   )
   private String patrolpointName;
   @Excel(
      name = "主设备类型ID"
   )
   private Long devicetypeId;
   @Excel(
      name = "主设备id"
   )
   private Long mainDeviceId;
   @Excel(
      name = "设备id，真正配置点位的主设备id或者部件id"
   )
   private Long deviceId;
   @Excel(
      name = "巡检内容"
   )
   private String patrolContent;
   @Excel(
      name = "用途"
   )
   private String purpose;
   @Excel(
      name = "删除标志，0：正常；2：删除"
   )
   private String deleteFlag;
   @Excel(
      name = "标准巡检点位ID"
   )
   private Long stdparolPointId;
   private Long areaId;
   private String patrolTypeId;
   private String pointImptLevel;
   private String alarmThreshold;
   private String algSubtypeId;
   private String algSubtypeName;
   @Excel(
      name = "识别下限"
   )
   private String lowerValue;
   @Excel(
      name = "识别上限"
   )
   private String upperValue;
   private String positionX;
   private String positionY;
   private String positionZ;
   @Excel(
      name = "算法id，逗号隔开"
   )
   private String algSubtypeIds;
   @Excel(
      name = "上传原有算法id，逗号分割"
   )
   private String originalAlgSubtypeIds;
   @Excel(
      name = "上传原有生产设备编号"
   )
   private String originalDeviceId;
   @Excel(
      name = "判别基准图片路径"
   )
   private String disRefPicturePath;
   @Excel(
      name = "源上传主设备编号"
   )
   private String originalMainDeviceId;

   public String getAlgSubtypeName() {
      return this.algSubtypeName;
   }

   public void setAlgSubtypeName(String algSubtypeName) {
      this.algSubtypeName = algSubtypeName;
   }

   public String getLowerValue() {
      return this.lowerValue;
   }

   public void setLowerValue(String lowerValue) {
      this.lowerValue = lowerValue;
   }

   public String getUpperValue() {
      return this.upperValue;
   }

   public void setUpperValue(String upperValue) {
      this.upperValue = upperValue;
   }

   public String getAlgSubtypeId() {
      return this.algSubtypeId;
   }

   public void setAlgSubtypeId(String algSubtypeId) {
      this.algSubtypeId = algSubtypeId;
   }

   public String getAlarmThreshold() {
      return this.alarmThreshold;
   }

   public void setAlarmThreshold(String alarmThreshold) {
      this.alarmThreshold = alarmThreshold;
   }

   public Long getAreaId() {
      return this.areaId;
   }

   public void setAreaId(Long areaId) {
      this.areaId = areaId;
   }

   public void setPatrolpointId(Long patrolpointId) {
      this.patrolpointId = patrolpointId;
   }

   public Long getPatrolpointId() {
      return this.patrolpointId;
   }

   public void setPatrolpointCode(String patrolpointCode) {
      this.patrolpointCode = patrolpointCode;
   }

   public String getPatrolpointCode() {
      return this.patrolpointCode;
   }

   public void setPatrolpointName(String patrolpointName) {
      this.patrolpointName = patrolpointName;
   }

   public String getPatrolpointName() {
      return this.patrolpointName;
   }

   public void setDevicetypeId(Long devicetypeId) {
      this.devicetypeId = devicetypeId;
   }

   public Long getDevicetypeId() {
      return this.devicetypeId;
   }

   public void setMainDeviceId(Long mainDeviceId) {
      this.mainDeviceId = mainDeviceId;
   }

   public Long getMainDeviceId() {
      return this.mainDeviceId;
   }

   public void setDeviceId(Long deviceId) {
      this.deviceId = deviceId;
   }

   public Long getDeviceId() {
      return this.deviceId;
   }

   public void setPatrolContent(String patrolContent) {
      this.patrolContent = patrolContent;
   }

   public String getPatrolContent() {
      return this.patrolContent;
   }

   public void setPurpose(String purpose) {
      this.purpose = purpose;
   }

   public String getPurpose() {
      return this.purpose;
   }

   public void setDeleteFlag(String deleteFlag) {
      this.deleteFlag = deleteFlag;
   }

   public String getDeleteFlag() {
      return this.deleteFlag;
   }

   public void setStdparolPointId(Long stdparolPointId) {
      this.stdparolPointId = stdparolPointId;
   }

   public Long getStdparolPointId() {
      return this.stdparolPointId;
   }

   public String getPatrolTypeId() {
      return this.patrolTypeId;
   }

   public void setPatrolTypeId(String patrolTypeId) {
      this.patrolTypeId = patrolTypeId;
   }

   public String getPointImptLevel() {
      return this.pointImptLevel;
   }

   public void setPointImptLevel(String pointImptLevel) {
      this.pointImptLevel = pointImptLevel;
   }

   public String getPositionX() {
      return this.positionX;
   }

   public void setPositionX(String positionX) {
      this.positionX = positionX;
   }

   public String getPositionY() {
      return this.positionY;
   }

   public void setPositionY(String positionY) {
      this.positionY = positionY;
   }

   public String getPositionZ() {
      return this.positionZ;
   }

   public void setPositionZ(String positionZ) {
      this.positionZ = positionZ;
   }

   public void setAlgSubtypeIds(String algSubtypeIds) {
      this.algSubtypeIds = algSubtypeIds;
   }

   public String getAlgSubtypeIds() {
      return this.algSubtypeIds;
   }

   public void setOriginalAlgSubtypeIds(String originalAlgSubtypeIds) {
      this.originalAlgSubtypeIds = originalAlgSubtypeIds;
   }

   public String getOriginalAlgSubtypeIds() {
      return this.originalAlgSubtypeIds;
   }

   public void setOriginalDeviceId(String originalDeviceId) {
      this.originalDeviceId = originalDeviceId;
   }

   public String getOriginalDeviceId() {
      return this.originalDeviceId;
   }

   public void setDisRefPicturePath(String disRefPicturePath) {
      this.disRefPicturePath = disRefPicturePath;
   }

   public String getDisRefPicturePath() {
      return this.disRefPicturePath;
   }

   public void setOriginalMainDeviceId(String originalMainDeviceId) {
      this.originalMainDeviceId = originalMainDeviceId;
   }

   public String getOriginalMainDeviceId() {
      return this.originalMainDeviceId;
   }

   public String toString() {
      return (new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)).append("patrolpointId", this.getPatrolpointId()).append("patrolpointCode", this.getPatrolpointCode()).append("patrolpointName", this.getPatrolpointName()).append("devicetypeId", this.getDevicetypeId()).append("mainDeviceId", this.getMainDeviceId()).append("deviceId", this.getDeviceId()).append("patrolContent", this.getPatrolContent()).append("purpose", this.getPurpose()).append("areaId", this.getAreaId()).append("createBy", this.getCreateBy()).append("createTime", this.getCreateTime()).append("updateBy", this.getUpdateBy()).append("updateTime", this.getUpdateTime()).append("deleteFlag", this.getDeleteFlag()).append("stdparolPointId", this.getStdparolPointId()).append("patrolTypeId", this.getPatrolTypeId()).append("pointImptLevel", this.getPointImptLevel()).append("lowerValue", this.getLowerValue()).append("upperValue", this.getUpperValue()).append("positionX", this.getPositionX()).append("positionY", this.getPositionY()).append("positionZ", this.getPositionZ()).append("algSubtypeIds", this.getAlgSubtypeIds()).append("originalAlgSubtypeIds", this.getOriginalAlgSubtypeIds()).append("originalDeviceId", this.getOriginalDeviceId()).append("disRefPicturePath", this.getDisRefPicturePath()).append("originalMainDeviceId", this.getOriginalMainDeviceId()).toString();
   }
}
